Class = require "libs.hump.class"

Skill = Class{
	
	init = function(self, i, n, d, dl, tm, cd, e)
		self.id = i
		self.name = n
		self.damage = d
		self.delay = dl
		self.duration = tm
		self.cooldown = cd
		self.energy = e
	end;

	load = function(self)
	end;

	trigger = function(self)
	end;

	getId = function(self)
		return self.id
	end;

	getName = function(self)
		return self.name
	end;

	getDamage = function(self)
		return self.damage
	end;

	getDelay = function(self)
		return self.delay
	end;

	getCooldown = function(self)
		return self.cooldown
	end;

	getCost = function(self)
		return self.energy
	end;

}



